import { Image, Text, View } from "@tarojs/components";
import { memo, useEffect, useMemo, useRef, useState } from "react";
import classnames from "classnames";
import styles from './index.module.scss'
import IconFont from '@/components/iconfont/iconfont'
interface propsObj {
    receivingStatus?: Number | null,
    onReceivingStatus?: (any, Number) => void,
    obj: any,
    handUp?: (any) => void
}
export default memo((props: propsObj) => {

    const {
        obj = {},
        handUp
    } = props

    const seeFont = useMemo(() => {
        if (obj.stage == 1) {
            return '上传物流回单'
        } else {
            return '查看物流回单'
        }
    }, [obj])

    return (
        <View className={styles.addressBox}>
            <View className={styles.topFont}>请按以下退货地址寄回货物并提供退货物流信息</View>
            <View className={styles.topBox}>
                <View className={styles.cirle}>
                    <IconFont name={'icon-dingwei'} size={26} color={'#ffffff'}></IconFont>
                </View>
                <View className={styles.address}>{'广东省佛山市禅城区陆盈纺织仓库'}</View>
            </View>
            <View className={styles.line}></View>
            <View className={styles.bottom}>
                <View className={styles.leftBottom}>
                    <View className={styles.name}>{'谭先生'}</View>
                    <View className={styles.phone}>{13242128982}</View>
                </View>
                {
                    obj.stage != 0 && <View className={styles.btn} onClick={() => handUp?.(obj)}>{seeFont}</View>
                }
            </View>
        </View >
    )
})